// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: get_failed_contract_distribution.sql

package queries

import (
	"context"

	"github.com/jackc/pgx/v5/pgtype"
)

const getFailedContractDistribution = `-- name: GetFailedContractDistribution :one

SELECT
    peer_id,
    content_hash,
    signature,
    action,
    next_attempt_at,
    reason,
    attempts,
    last_attempt_at
FROM
    contracts.failed_distributions
WHERE
    content_hash = $1
AND
    peer_id = $2
AND
    action = $3
`

type GetFailedContractDistributionParams struct {
	ContentHash string
	PeerID      string
	Action      ContractsDistributionAction
}

type GetFailedContractDistributionRow struct {
	PeerID        string
	ContentHash   string
	Signature     string
	Action        ContractsDistributionAction
	NextAttemptAt pgtype.Timestamptz
	Reason        string
	Attempts      int32
	LastAttemptAt pgtype.Timestamptz
}

// Copyright © VNG Realisatie 2024
// Licensed under the EUPL
func (q *Queries) GetFailedContractDistribution(ctx context.Context, arg *GetFailedContractDistributionParams) (*GetFailedContractDistributionRow, error) {
	row := q.db.QueryRow(ctx, getFailedContractDistribution, arg.ContentHash, arg.PeerID, arg.Action)
	var i GetFailedContractDistributionRow
	err := row.Scan(
		&i.PeerID,
		&i.ContentHash,
		&i.Signature,
		&i.Action,
		&i.NextAttemptAt,
		&i.Reason,
		&i.Attempts,
		&i.LastAttemptAt,
	)
	return &i, err
}
